package cz.shmoula.webscript;

import java.io.IOException;
import java.io.Writer;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.extensions.surf.ServletUtil;
import org.springframework.extensions.surf.site.AuthenticationUtil;
import org.springframework.extensions.webscripts.AbstractWebScript;
import org.springframework.extensions.webscripts.WebScriptRequest;
import org.springframework.extensions.webscripts.WebScriptResponse;

public class Example extends AbstractWebScript{

	@Override
	public void execute(WebScriptRequest req, WebScriptResponse res)throws IOException {
		Map<String, Object> model = new HashMap<String, Object>();
		HttpServletRequest httpRequest = ServletUtil.getRequest();
		
		if(AuthenticationUtil.isAuthenticated(httpRequest)){
			model.put("userId", AuthenticationUtil.getUserId(httpRequest));
		}else{
			model.put("userId", "guest");
		}
		
		Writer writer = res.getWriter();
		String templatePath = "webscripts/example.get.html.ftl";
		renderTemplate(templatePath, createTemplateParameters(req, res, model), writer);

		writer.flush();
		writer.close();
	}
}
